[MediaWiki-l] Do we need wgDBmysql5 for MediaWiki 1.30?

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

[MediaWiki-l] Do we need wgDBmysql5 for MediaWiki 1.30?

Jeffrey Walton
Hi Everyone,

We just finished a MediaWiki 1.30 migration. The iron is CentOS 7
x86_64 VM with PHP 7.8.1 and MariaDB 5.5.56.

According to https://www.mediawiki.org/wiki/Manual:$wgDBmysql5 it
looks like we no longer need wgDBmysql5 in LocalSettings.php.

Do we still need wgDBmysql5?

Jeff

_______________________________________________
MediaWiki-l mailing list
To unsubscribe, go to:
https://lists.wikimedia.org/mailman/listinfo/mediawiki-l
Reply | Threaded
Open this post in threaded view
|

Re: Do we need wgDBmysql5 for MediaWiki 1.30?

Brian Wolff
$wgDBmysql5 is poorly named. It has little to do with Mysql5, and is
all about wheter the db connection is using the "utf8" or "binary"
charset. It is still used in modern MediaWiki.

Generally speaking, I would probably reccomend against changing the
value of this setting unless you're sure you know what you are doing.
Depending on the charset that your db tables were created with,
removing the setting could break things.

--
bawolff



On Fri, Dec 22, 2017 at 6:14 PM, Jeffrey Walton <[hidden email]> wrote:

> Hi Everyone,
>
> We just finished a MediaWiki 1.30 migration. The iron is CentOS 7
> x86_64 VM with PHP 7.8.1 and MariaDB 5.5.56.
>
> According to https://www.mediawiki.org/wiki/Manual:$wgDBmysql5 it
> looks like we no longer need wgDBmysql5 in LocalSettings.php.
>
> Do we still need wgDBmysql5?
>
> Jeff
>
> _______________________________________________
> MediaWiki-l mailing list
> To unsubscribe, go to:
> https://lists.wikimedia.org/mailman/listinfo/mediawiki-l

_______________________________________________
MediaWiki-l mailing list
To unsubscribe, go to:
https://lists.wikimedia.org/mailman/listinfo/mediawiki-l